2 Replies Latest reply on Jun 20, 2013 8:09 AM by Kevin Lollock

    Error in build application on the ET1.

    Mattia Barbari

      Hi,

      I have run the my application on the ET1, but the build stops because it find the error.

      The error is:

      "C:\RhoStudio\TestMattia\bin\tmp\AndroidManifest.xml:15: error: Error: String types not allowed (at 'configChanges' with value 'orientation|screenSize|smallestScreenSize|keyboard|keyboardHidden').

      rake aborted!

      Error in AAPT"

      While this problem?

       

      Thank you.

      Best regards.

      Mattia.

        • Re: Error in build application on the ET1.
          Glenn Sayer

          Make sure that your SDK tools are uptodate.  SDK Manager > Tools (check all) > install packages

           

          Then try it again.

          1 of 1 people found this helpful
          • Re: Error in build application on the ET1.
            Kevin Lollock

            I had the exact same problem. It turns out that I had only installed the SDKs for Android 2.2 (API 8) and 2.3.3 (API10) since that's all I was intended of targeting. So - what was happening was the build process was trying to pass off a set of string device variables orientation|screenSize|smallestScreenSize|keyboard|keyboardHidden that only started coming in to play with the SDK builds for Android 3.2 (API 13). I went ahead and installed the SDK for 4.0 (API 14) even though I had no intention of building for it and when I did that, the issue went away! I was finally able to build for my 2.2 target.

             

            Bottom line - if you see the error Error: String types not allowed, make sure you have at least the SDK supporting API level 13 installed - even if you do not intend to target it.

            1 of 1 people found this helpful